Loading...
Searching...
No Matches
Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension > Class Template Referenceabstract
Inheritance diagram for Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >:

## Public Types

typedef VirtualRefinement< dimension, CoordType > | Refinement
typedef Refinement::template Codim< codimension >::SubEntityIterator | This
typedef Refinement::template SubEntityIteratorBack< codimension > | IteratorBack
typedef Refinement::CoordVector | CoordVector
typedef Codim< dimension >::SubEntityIterator | VertexIterator
| The VertexIterator of the VirtualRefinement.
typedef Codim< 0 >::SubEntityIterator | ElementIterator
| The ElementIterator of the VirtualRefinement.
typedef std::vector< int > | IndexVector
| The IndexVector of the VirtualRefinement.
typedef SubEntityIteratorBack< dimension > | VertexIteratorBack
typedef SubEntityIteratorBack< 0 > | ElementIteratorBack

## Public Member Functions

| SubEntityIterator (IteratorBack *backend)
| SubEntityIterator (const This &other)
| ~SubEntityIterator ()
This & | operator= (const This &other)
bool | equals (const This &other) const
void | increment ()
int | index () const
VirtualRefinement< dimension, CoordType >::template Codim< codimension >::SubEntityIterator::CoordVector | coords () const
virtual int | nVertices (Dune::RefinementIntervals tag) const=0
| Get the number of Vertices.
VertexIterator | vBegin (Dune::RefinementIntervals tag) const
| Get an VertexIterator.
VertexIterator | vEnd (Dune::RefinementIntervals tag) const
| Get an VertexIterator.
virtual int | nElements (Dune::RefinementIntervals tag) const=0
| Get the number of Elements.
ElementIterator | eBegin (Dune::RefinementIntervals tag) const
| Get an ElementIterator.
ElementIterator | eEnd (Dune::RefinementIntervals tag) const
| Get an ElementIterator.
virtual | ~VirtualRefinement ()
| Destructor.

## Protected Member Functions

virtual VertexIteratorBack * | vBeginBack (Dune::RefinementIntervals tag) const=0
virtual VertexIteratorBack * | vEndBack (Dune::RefinementIntervals tag) const=0
virtual ElementIteratorBack * | eBeginBack (Dune::RefinementIntervals tag) const=0
virtual ElementIteratorBack * | eEndBack (Dune::RefinementIntervals tag) const=0

## Friends

class | VirtualRefinementSubEntityIteratorSpecial< dimension, CoordType, codimension >

## Member Typedef Documentation

## CoordVector

template<int dimension, class CoordType>
template<int dimension, class CoordType>

typedef Refinement::CoordVector Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::CoordVector

## ElementIterator

typedef Codim<0>::SubEntityIterator Dune::VirtualRefinement< dimension, CoordType >::ElementIterator

The ElementIterator of the VirtualRefinement.

## ElementIteratorBack

typedef SubEntityIteratorBack<0> Dune::VirtualRefinement< dimension, CoordType >::ElementIteratorBack

## IndexVector

typedef std::vector<int> Dune::VirtualRefinement< dimension, CoordType >::IndexVector

The IndexVector of the VirtualRefinement.

This is always a typedef to a std::vector

## IteratorBack

template<int dimension, class CoordType>
template<int dimension, class CoordType>

typedef Refinement::template SubEntityIteratorBack<codimension> Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::IteratorBack

## Refinement

template<int dimension, class CoordType>
template<int dimension, class CoordType>

typedef VirtualRefinement<dimension, CoordType> Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::Refinement

## This

template<int dimension, class CoordType>
template<int dimension, class CoordType>

typedef Refinement::template Codim<codimension>::SubEntityIterator Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::This

## VertexIterator

typedef Codim<dimension>::SubEntityIterator Dune::VirtualRefinement< dimension, CoordType >::VertexIterator

The VertexIterator of the VirtualRefinement.

## VertexIteratorBack

typedef SubEntityIteratorBack<dimension> Dune::VirtualRefinement< dimension, CoordType >::VertexIteratorBack

## Constructor & Destructor Documentation

## ~SubEntityIterator()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::~SubEntityIterator | ( |  | ) |

## ~VirtualRefinement()

virtual Dune::VirtualRefinement< dimension, CoordType >::~VirtualRefinement | ( |  | ) |

inline virtual

Destructor.

## Member Function Documentation

## coords()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

VirtualRefinement< dimension, CoordType >::template Codim< codimension >::SubEntityIterator::CoordVector Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::coords | ( |  | ) | const

## eBegin()

VirtualRefinement< dimension, CoordType >::ElementIterator Dune::VirtualRefinement< dimension, CoordType >::eBegin | ( | Dune::RefinementIntervals | tag | ) | const

Get an ElementIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## eBeginBack()

virtual ElementIteratorBack * Dune::VirtualRefinement< dimension, CoordType >::eBeginBack | ( | Dune::RefinementIntervals | tag | ) | const

protected pure virtual

## eEnd()

VirtualRefinement< dimension, CoordType >::ElementIterator Dune::VirtualRefinement< dimension, CoordType >::eEnd | ( | Dune::RefinementIntervals | tag | ) | const

Get an ElementIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## eEndBack()

virtual ElementIteratorBack * Dune::VirtualRefinement< dimension, CoordType >::eEndBack | ( | Dune::RefinementIntervals | tag | ) | const

protected pure virtual

## equals()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

bool Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::equals | ( | const This & | other | ) | const

## increment()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

void Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::increment | ( |  | ) |

## index()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

int Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::index | ( |  | ) | const

## nElements()

virtual int Dune::VirtualRefinement< dimension, CoordType >::nElements | ( | Dune::RefinementIntervals | tag | ) | const

pure virtual

Get the number of Elements.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## nVertices()

virtual int Dune::VirtualRefinement< dimension, CoordType >::nVertices | ( | Dune::RefinementIntervals | tag | ) | const

pure virtual

Get the number of Vertices.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## operator=()

template<int dimension, class CoordType>
template<int dimension, class CoordType>

This & Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::operator= | ( | const This & | other | ) |

## SubEntityIterator() [1/2]

template<int dimension, class CoordType>
template<int dimension, class CoordType>

Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::SubEntityIterator | ( | const This & | other | ) |

## SubEntityIterator() [2/2]

template<int dimension, class CoordType>
template<int dimension, class CoordType>

Dune::VirtualRefinement< dimension, CoordType >::Codim< codimension >::SubEntityIterator | ( | IteratorBack * | backend | ) |

## vBegin()

VirtualRefinement< dimension, CoordType >::VertexIterator Dune::VirtualRefinement< dimension, CoordType >::vBegin | ( | Dune::RefinementIntervals | tag | ) | const

Get an VertexIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## vBeginBack()

virtual VertexIteratorBack * Dune::VirtualRefinement< dimension, CoordType >::vBeginBack | ( | Dune::RefinementIntervals | tag | ) | const

protected pure virtual

## vEnd()

VirtualRefinement< dimension, CoordType >::VertexIterator Dune::VirtualRefinement< dimension, CoordType >::vEnd | ( | Dune::RefinementIntervals | tag | ) | const

Get an VertexIterator.

Parameters

  tag | RefinementIntervals object returned by either refinementIntervals() or refinementLevels()

## vEndBack()

virtual VertexIteratorBack * Dune::VirtualRefinement< dimension, CoordType >::vEndBack | ( | Dune::RefinementIntervals | tag | ) | const

protected pure virtual

## Friends And Related Symbol Documentation

## VirtualRefinementSubEntityIteratorSpecial< dimension, CoordType, codimension >

template<int dimension, class CoordType>
template<int dimension, class CoordType>

friend class VirtualRefinementSubEntityIteratorSpecial< dimension, CoordType, codimension >

friend

The documentation for this class was generated from the following file:

- virtualrefinement.cc